// FILENAME:	DM_Knights_Fortress.cs
//
// AUTHOR:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Knights_Fortress";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$server::HudMapViewOffsetX = 2728;
$server::HudMapViewOffsetY = -2700;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad()
{
   	cdAudioCycle("Yougot", "SS3", "SS1"); 
   	order(getObjectId("MissionGroup\\knights\\lead"), guard, getObjectId("MissionGroup\\knights"));
	order(getObjectId("MissionGroup\\knights"), guard, getObjectId("MissionGroup\\knights\\lead"));
	order(getObjectId("MissionGroup\\knights\\lead"), guard, getObjectId("MissionGroup\\Path"));

   	order(getObjectId("MissionGroup\\fly\\lead2"), guard, getObjectId("MissionGroup\\fly"));
	order(getObjectId("MissionGroup\\fly"), guard, getObjectId("MissionGroup\\fly\\lead2"));
	order(getObjectId("MissionGroup\\fly\\lead2"), guard, getObjectId("MissionGroup\\Path2"));

	order(getObjectId("MissionGroup\\fly2\\lead3"), guard, getObjectId("MissionGroup\\fly2"));
	order(getObjectId("MissionGroup\\fly2"), guard, getObjectId("MissionGroup\\fly2\\lead3"));
	order(getObjectId("MissionGroup\\fly2\\lead3"), guard, getObjectId("MissionGroup\\Path3"));


}

function onMissionStart()
{
      $body = getObjectId("MissionGroup\\Body");
      $head = getObjectId("MissionGroup\\Head");
      $brain = getObjectId("MissionGroup\\brain");
      order(getObjectId("MissionGroup\\brain"), guard, getObjectId("MissionGroup\\Path2")); 
      tag();
}

function player::onAdd(%player) 
{ 
   say(%player, 0, "<f5><jc>Welcome to TDM Advanced Warforms."); 
} 

function RadToDeg(%radians)
{
   %degrees = (%radians * 180) / (22 / 7);
   return %degrees;
}

function tag()
{
   %rot = getPosition($brain, rot);
   %angle = RadToDeg(%rot);
   %x = getPosition($brain, x);
   %y = getPosition($brain, y);
   %z = getTerrainHeight(%x, %y);
   setPosition($body, %x, %y, %z, %angle);
   setPosition($head, %x, %y, %z + 240, %angle);
   schedule("tag();", 0.01 );
}